import { ethers } from "ethers";
import { consentAddress, consentAddress2, consentAddress3, consentFactoryContractAddress, } from "../debug/constants.js";
import { ConsentContract } from "../implementations/ConsentContract.js";
import { ConsentFactoryContract } from "../implementations/ConsentFactoryContract.js";
import NFR from "../interfaces/objects/abi/ConsentFactoryAbi.js";
export class Contracts {
    constructor(signer, signer1, cryptoUtils) {
        this.signer = signer;
        this.signer1 = signer1;
        this.cryptoUtils = cryptoUtils;
        this.factoryContractPure = new ethers.Contract(consentFactoryContractAddress, NFR.abi, signer);
        this.factoryContract = new ConsentFactoryContract(signer, consentFactoryContractAddress);
        this.consentContract = new ConsentContract(signer, consentAddress, cryptoUtils);
        this.consentContractNoPerms = new ConsentContract(signer1, consentAddress, cryptoUtils);
        this.consentContract2 = new ConsentContract(signer, consentAddress2, cryptoUtils);
        this.consentContract3 = new ConsentContract(signer, consentAddress3, cryptoUtils);
    }
}
//# sourceMappingURL=contracts.js.map